Package org.gradle.language.rc.tasks

## Class WindowsResourceCompile

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.language.rc.tasks.WindowsResourceCompile

- All Implemented Interfaces:
    `java.lang.Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `Configurable<Task>`

      @Incubating
      @DisableCachingByDefault(because="Not made cacheable, yet")
      public abstract class WindowsResourceCompile
      extends DefaultTask

  Compiles Windows Resource scripts into .res files.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WindowsResourceCompile()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `compile​(InputChanges inputs)` |
    `ListProperty<java.lang.String>` | `getCompilerArgs()` | Additional arguments to provide to the compiler.
    `protected FileCollection` | `getHeaderDependencies()` | The set of dependent headers.
    `ConfigurableFileCollection` | `getIncludes()` | Returns the header directories to be used for compilation.
    `org.gradle.language.nativeplatform.internal.incremental.IncrementalCompilerBuilder` | `getIncrementalCompilerBuilder()` |
    `java.util.Map<java.lang.String,​java.lang.String>` | `getMacros()` | Macros that should be defined for the compiler.
    `org.gradle.internal.operations.logging.BuildOperationLoggerFactory` | `getOperationLoggerFactory()` |
    `java.io.File` | `getOutputDir()` | The directory where object files will be generated.
    `ConfigurableFileCollection` | `getSource()` | Returns the source files to be compiled.
    `Property<NativePlatform>` | `getTargetPlatform()` | The platform being compiled for.
    `Property<NativeToolChain>` | `getToolChain()` | The tool chain used for compilation.
    `void` | `includes​(java.lang.Object includeRoots)` | Add directories where the compiler should search for header files.
    `void` | `setMacros​(java.util.Map<java.lang.String,​java.lang.String> macros)` |
    `void` | `setOutputDir​(java.io.File outputDir)` |
    `void` | `source​(java.lang.Object sourceFiles)` | Adds a set of source files to be compiled.

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, doNotTrackState, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, setImpliesSubProjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.api.Task

      `doNotTrackState, getConvention, notCompatibleWithConfigurationCache`

- - ### Constructor Detail

    - #### WindowsResourceCompile

          public WindowsResourceCompile()

  - ### Method Detail

    - #### getIncrementalCompilerBuilder

          @Inject
          public org.gradle.language.nativeplatform.internal.incremental.IncrementalCompilerBuilder getIncrementalCompilerBuilder()

    - #### getOperationLoggerFactory

          @Inject
          public org.gradle.internal.operations.logging.BuildOperationLoggerFactory getOperationLoggerFactory()

    - #### compile

          public void compile​(InputChanges inputs)

    - #### getToolChain

          @Internal
          public Property<NativeToolChain> getToolChain()

      The tool chain used for compilation.
      Since:
        4.7

    - #### getTargetPlatform

          public Property<NativePlatform> getTargetPlatform()

      The platform being compiled for.
      Since:
        4.7

    - #### getOutputDir

          @OutputDirectory
          public java.io.File getOutputDir()

      The directory where object files will be generated.

    - #### setOutputDir

          public void setOutputDir​(java.io.File outputDir)

    - #### getIncludes

          @Incremental
          @PathSensitive(RELATIVE)
          @InputFiles
          public ConfigurableFileCollection getIncludes()

      Returns the header directories to be used for compilation.

    - #### includes

          public void includes​(java.lang.Object includeRoots)

      Add directories where the compiler should search for header files.

    - #### getSource

          @InputFiles
          @SkipWhenEmpty
          @IgnoreEmptyDirectories
          @PathSensitive(RELATIVE)
          public ConfigurableFileCollection getSource()

      Returns the source files to be compiled.

    - #### source

          public void source​(java.lang.Object sourceFiles)

      Adds a set of source files to be compiled. The provided sourceFiles object is evaluated as per `Project.files(Object...)`.

    - #### getMacros

          @Input
          public java.util.Map<java.lang.String,​java.lang.String> getMacros()

      Macros that should be defined for the compiler.

    - #### setMacros

          public void setMacros​(java.util.Map<java.lang.String,​java.lang.String> macros)

    - #### getCompilerArgs

          @Input
          public ListProperty<java.lang.String> getCompilerArgs()

      Additional arguments to provide to the compiler.
      Since:
        5.1

    - #### getHeaderDependencies

          @Incremental
          @InputFiles
          @PathSensitive(NAME_ONLY)
          protected FileCollection getHeaderDependencies()

      The set of dependent headers. This is used for up-to-date checks only.
      Since:
        4.5